.table {
  overflow-x: auto;

  table {
    width: 100%;
    border-collapse: collapse;
  }

  tbody, thead {
    th {
      background: #F8FAFD;
      padding: 20px 28px;

      text-align: left;
    }

    td {
      padding: 20px 28px;

      overflow: hidden;
    }
  }

  .actionsCell {
    padding-right: 28px;
    width: 1px;
  }

  tfoot {
    margin-top: 20px;
    td {
      padding-top: 20px;
      padding-bottom: 20px;
    }
  }

  tr.divider {
    td {
      padding: 0 !important;
    }
  }
}

.rowClickable {
  cursor: pointer;
}

.isMobile {
  thead {
    display: none;
  }

  tbody {
    tr {
      display: grid;

      position: relative;

      &:first-of-type {
        td {
          &:first-of-type {
            padding-top: 0;
          }

          .actions {
            top: 0;
          }
        }
      }
      &:last-of-type {
        td {
          &:last-of-type {
            padding-bottom: 0;
            border-bottom: none;
          }
        }
      }
    }
  }

  tbody, thead {
    tr {
      td, th {
        padding-left: 20px;
        padding-right: 20px;
      }
    }

    td {
      padding: 0;

      &:not(:last-of-type) {
        border: none;
      }

      &:first-of-type {
        padding-top: 20px;
        padding-bottom: 6px;
      }

      &:not(:first-of-type) {
        padding-top: 5.5px;
      }

      &:last-of-type {
        padding-bottom: 20px;
      }
    }
  }

  .actionsCell {
    padding: 0 0 20px !important;
    width: auto;
  }

  .actions {
    position: absolute;
    right: 20px;
    top: 20px;
  }

  .title {
    font-size: 16px;
    line-height: 26px;
    font-weight: bold;
  }

  .value {
    font-size: 14px;
    line-height: 24px;

    color: #8F95A2;

    word-break: break-all;
  }
}
